--- base.bak	2011-08-19 18:53:51.000000000 -0400
+++ base.c	2011-10-13 19:38:52.000000000 -0400
@@ -68,6 +68,20 @@
 #undef USE_ASYNC_INIT
 #endif
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 18)
+#ifndef WARN_ON_ONCE
+#define WARN_ON_ONCE(__condition) do {         \
+	static int __once = 1;                 \
+	if (unlikely(__condition)) {           \
+		if (__once) {                  \
+			__once = 0;            \
+			WARN_ON(0);            \
+		}                              \
+	}                                      \
+} while (0)
+#endif
+#endif
+
 #include <dahdi/kernel.h>
 #include <dahdi/wctdm_user.h>
 
